osgPresentation::ObjectOperator Struct Referenceabstract

`#include <SlideEventHandler>`

Inheritance diagram for osgPresentation::ObjectOperator:

## Public Member Functions

bool | operator< (const ObjectOperator &rhs) const
virtual void * | ptr () const =0
virtual void | enter (SlideEventHandler *)=0
virtual void | frame (SlideEventHandler *)
virtual void | maintain (SlideEventHandler *)=0
virtual void | leave (SlideEventHandler *)=0
virtual void | setPause (SlideEventHandler *, bool pause)=0
virtual void | reset (SlideEventHandler *)=0
virtual | ~ObjectOperator ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## ~ObjectOperator()

virtual osgPresentation::ObjectOperator::~ObjectOperator | ( |  | ) |

inline virtual

## Member Function Documentation

## enter()

virtual void osgPresentation::ObjectOperator::enter | ( | SlideEventHandler * |  | ) |

pure virtual

## frame()

virtual void osgPresentation::ObjectOperator::frame | ( | SlideEventHandler * |  | ) |

inline virtual

## leave()

virtual void osgPresentation::ObjectOperator::leave | ( | SlideEventHandler * |  | ) |

pure virtual

## maintain()

virtual void osgPresentation::ObjectOperator::maintain | ( | SlideEventHandler * |  | ) |

pure virtual

## operator<()

bool osgPresentation::ObjectOperator::operator< | ( | const ObjectOperator & | rhs | ) | const

inline

References ptr().

## ptr()

virtual void * osgPresentation::ObjectOperator::ptr | ( |  | ) | const

pure virtual

Referenced by operator<().

## reset()

virtual void osgPresentation::ObjectOperator::reset | ( | SlideEventHandler * |  | ) |

pure virtual

## setPause()

virtual void osgPresentation::ObjectOperator::setPause | ( | SlideEventHandler * | ,
|  | bool | pause )

pure virtual

The documentation for this struct was generated from the following file:

- SlideEventHandler